#$Id: FMMD5.pm,v 0.01 2001/08/13 22:06:00 george@xorgate.com Exp $
package Apache::FileMan::FMMD5;
use strict;
use Apache::FileMan
use constant SKIP_INDEX		=> -1;

sub MD5 {
    my ($r,$cfg,$root,$src) = @_;
    $file="$root$src";
    my $lang = new Apache::Language($r) if $cfg->{language};
    my $msg;
    my $cmdname=$lang->{MD5} || 'MD5';
    unless(open(FILE, $file)) {
	    $msg=$lang->{FileOpen} || 'File open';
	    errmsg("${cmdname}: $msg");
	    return 0;
    }
    binmode(FILE);
    my $md5=Digest::MD5->new->addfile(*FILE)->hexdigest;
    close FILE;
    return SKIP_INDEX unless httphead($r,"FileMan $cmdname $relsrc");
    fm_header($r,$cfg) unless $cfg->{frames}; 
    print qq~<H3>$cmdname "$src"</H3>\n~;
    print qq~<FORM METHOD="POST" ACTION="$uri" ENCTYPE="MULTIPART/FORM-DATA">\n~;
    print "$src MD5=$md5<P>\n";
	$msg=$lang->{Return} || 'Return';
	chomp $msg;
    print qq~<INPUT TYPE="SUBMIT" NAME="return" VALUE="$msg">\n~;
    print qq~<INPUT TYPE="HIDDEN" NAME="frame" VALUE="$cfg->{frame}">\n~ if $cfg->{frames};
    print qq~</FORM>\n~;
}
